Benchmark prices
curl --request GET \
--url https://www.prometheus.services/api/v1/indices/{symbol}/prices \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/indices/{symbol}/prices"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/indices/{symbol}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"symbol": "SPY",
"bars": [
{
"t": 1730678400000,
"o": 571.179993,
"h": 572.5,
"l": 567.890015,
"c": 569.809998,
"v": 38217000
},
{
"t": 1730764800000,
"o": 570.73999,
"h": 576.73999,
"l": 570.52002,
"c": 576.700012,
"v": 39478300
},
{
"t": 1730851200000,
"o": 589.200012,
"h": 591.929993,
"l": 585.390015,
"c": 591.039978,
"v": 68182000
}
],
"displayFrom": 1756080000000
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Market Data
Benchmark prices
Daily bars for a benchmark.
GET
/
api
/
v1
/
indices
/
{symbol}
/
prices
Benchmark prices
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Index / ETF symbol.
Query Parameters
Lookback window.
Available options:
1M, 3M, 6M, YTD, 1Y, 2Y, 5Y, ALL Response
OK
The response is of type object.
⌘I